Debian Bug report logs - #506711
kernel-package: [sparc] no longer produces compressed kernels for linux-2.6

version graph

Package: kernel-package; Maintainer for kernel-package is Manoj Srivastava <srivasta@debian.org>; Source for kernel-package is src:kernel-package.

Reported by: Frans Pop <elendil@planet.nl>

Date: Sun, 23 Nov 2008 23:12:01 UTC

Severity: serious

Tags: d-i, moreinfo

Found in versions kernel-package/11.0011, kernel-package/11.003

Fixed in version kernel-package/11.013

Done: Manoj Srivastava <srivasta@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-boot@lists.debian.org, debian-kernel@lists.debian.org, Debian Security Team <team@security.debian.org>, Debian Testing Security Team <secure-testing-team@lists.alioth.debian.org>, Manoj Srivastava <srivasta@debian.org>:
Bug#506711; Package kernel-package. (Sun, 23 Nov 2008 23:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
New Bug report received and forwarded. Copy sent to debian-boot@lists.debian.org, debian-kernel@lists.debian.org, Debian Security Team <team@security.debian.org>, Debian Testing Security Team <secure-testing-team@lists.alioth.debian.org>, Manoj Srivastava <srivasta@debian.org>. (Sun, 23 Nov 2008 23:12:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: kernel-package: [sparc] no longer produces compressed kernels for linux-2.6
Date: Mon, 24 Nov 2008 00:10:34 +0100
Package: kernel-package
Version: 11.0011
Severity: serious
Tags: d-i
Justification: kernels built using this break sparc D-I builds

Daily builds of D-I for sparc have been failing with:
gzip: ./tmp/netboot/vmlinuz-2.6.26-1-sparc64: not in gzip format

This has been traced to the fact that the kernel as taken from the
2.6.26-10 linux-image package for sparc64 (built 08 Nov) is no longer
compressed. As sparc still uses kernel-package to build official Debian
kernel images (based on info from Bastian Blank), this is most likely a
regression in kernel-package.

It is unknown whether this issue also affects other architectures or not.

The previous D-I kernel udebs were based on linux-image 2.6.26-8 (built
for sparc on 9 Okt) did not have this issue, so at that time things were
still OK.

Please inform both the kernel team and the installer teams when this issue
is fixed as we will need binNMU's for linux-2.6 for any (potentially)
affected architectures and after that new uploads of the kernel udebs for
D-I.

Cheers,
FJP

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.28-rc6 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages kernel-package depends on:
ii  binutils            2.18.1~cvs20080103-7 The GNU assembler, linker and bina
ii  debianutils         2.30                 Miscellaneous utilities specific t
ii  dpkg                1.14.22              Debian package management system
ii  dpkg-dev            1.14.22              Debian package development tools
ii  file                4.26-1               Determines file type using "magic"
ii  gcc [c-compiler]    4:4.3.2-2            The GNU C compiler
ii  gcc-4.1 [c-compiler 4.1.2-23             The GNU C compiler
ii  gcc-4.2 [c-compiler 4.2.4-4              The GNU C compiler
ii  gcc-4.3 [c-compiler 4.3.2-1              The GNU C compiler
ii  gettext             0.17-4               GNU Internationalization utilities
ii  make                3.81-5               The GNU version of the "make" util
ii  module-init-tools   3.4-1                tools for managing Linux kernel mo
ii  perl                5.10.0-17            Larry Wall's Practical Extraction 
ii  po-debconf          1.0.15               manage translated Debconf template
ii  util-linux          2.13.1.1-1           Miscellaneous system utilities

Versions of packages kernel-package recommends:
ii  bzip2                         1.0.5-1    high-quality block-sorting file co
ii  libc6-dev [libc-dev]          2.7-16     GNU C Library: Development Librari

Versions of packages kernel-package suggests:
pn  docbook-utils             <none>         (no description available)
ii  e2fsprogs                 1.41.3-1       ext2/ext3/ext4 file system utiliti
ii  initramfs-tools [linux-in 0.92l          tools for generating an initramfs
pn  libdb3-dev                <none>         (no description available)
ii  libncurses5-dev [libncurs 5.6+20080830-1 developer's libraries and docs for
pn  linux-source | kernel-sou <none>         (no description available)
ii  xmlto                     0.0.20-3       XML-to-any converter

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Manoj Srivastava <srivasta@debian.org>:
Bug#506711; Package kernel-package. (Mon, 24 Nov 2008 00:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Manoj Srivastava <srivasta@acm.org>:
Extra info received and forwarded to list. Copy sent to Manoj Srivastava <srivasta@debian.org>. (Mon, 24 Nov 2008 00:03:02 GMT) Full text and rfc822 format available.

Message #10 received at 506711@bugs.debian.org (full text, mbox):

From: Manoj Srivastava <srivasta@acm.org>
To: Frans Pop <elendil@planet.nl>
Cc: 506711@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#506711: kernel-package: [sparc] no longer produces compressed kernels for linux-2.6
Date: Sun, 23 Nov 2008 17:49:14 -0600
tags 506711 +moreinfo
thanks

On Sun, Nov 23 2008, Frans Pop wrote:

> Justification: kernels built using this break sparc D-I builds
>
> Daily builds of D-I for sparc have been failing with:
> gzip: ./tmp/netboot/vmlinuz-2.6.26-1-sparc64: not in gzip format

        Could you provide more detail, please? This is not enough to
 indicate where the fault lies. At a minimum, the kernel package
 invocation line, and the full logs of the build where failure was
 noticed should be provided to the bug report. Without this information,
 it is hard to diagnose the problem.

        The only thing I can see is that sparc processing in k-p defines
 NEED_DIRECT_GZIP_IMAGE.  Now, what kernel-package thinks is the
 architecture is taken from either
  a) user specified value,
  b) dpkg-architecture  -qDEB_HOST_ARCH_CPU

        If the architecture contains the string sparc, then we arrange
 to gzip the image. If this is not happening, we need to determine if it
 tried to compress, but compressed the wong file, or it did not try to
 compress it at all, or if the actual image is in some other place.

        If the build logs for the kernel image show which of these
 scenarios it is, it can be easily fixed. So the build log of the kernel
 image would be useful.

> This has been traced to the fact that the kernel as taken from the
> 2.6.26-10 linux-image package for sparc64 (built 08 Nov) is no longer
> compressed. As sparc still uses kernel-package to build official Debian
> kernel images (based on info from Bastian Blank), this is most likely a
> regression in kernel-package.

        Why do you say this is a regression? Does the previous version
 work?  What was the last known working version of the kernel-package?

> It is unknown whether this issue also affects other architectures or not.
>
> The previous D-I kernel udebs were based on linux-image 2.6.26-8 (built
> for sparc on 9 Okt) did not have this issue, so at that time things were
> still OK.

        Which version of kernel-package was being used then?

        manoj

-- 
Bachelor: A man who chases women and never Mrs. one.
Manoj Srivastava <srivasta@acm.org> <http://www.golden-gryphon.com/>  
1024D/BF24424C print 4966 F272 D093 B493 410B  924B 21BA DABB BF24 424C




Tags added: moreinfo Request was from Manoj Srivastava <srivasta@acm.org> to control@bugs.debian.org. (Mon, 24 Nov 2008 00:03:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Manoj Srivastava <srivasta@debian.org>:
Bug#506711; Package kernel-package. (Mon, 24 Nov 2008 05:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to Manoj Srivastava <srivasta@debian.org>. (Mon, 24 Nov 2008 05:48:02 GMT) Full text and rfc822 format available.

Message #17 received at 506711@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 506711@bugs.debian.org
Cc: debian-boot@lists.debian.org, debian-kernel@lists.debian.org
Subject: Re: Bug#506711: kernel-package: [sparc] no longer produces compressed kernels for linux-2.6
Date: Mon, 24 Nov 2008 06:42:13 +0100
[Message part 1 (text/plain, inline)]
On Monday 24 November 2008, Manoj Srivastava wrote:
>         Could you provide more detail, please? This is not enough to
>  indicate where the fault lies. At a minimum, the kernel package
>  invocation line, and the full logs of the build where failure was
>  noticed should be provided to the bug report. Without this
> information, it is hard to diagnose the problem.
>
>         The only thing I can see is that sparc processing in k-p
> defines NEED_DIRECT_GZIP_IMAGE.  Now, what kernel-package thinks is the
> architecture is taken from either
>   a) user specified value,
>   b) dpkg-architecture  -qDEB_HOST_ARCH_CPU
>
>         If the architecture contains the string sparc, then we arrange
>  to gzip the image. If this is not happening, we need to determine if
> it tried to compress, but compressed the wong file, or it did not try
> to compress it at all, or if the actual image is in some other place.
>
>         If the build logs for the kernel image show which of these
>  scenarios it is, it can be easily fixed. So the build log of the
> kernel image would be useful.
>
> > This has been traced to the fact that the kernel as taken from the
> > 2.6.26-10 linux-image package for sparc64 (built 08 Nov) is no longer
> > compressed. As sparc still uses kernel-package to build official
> > Debian kernel images (based on info from Bastian Blank), this is most
> > likely a regression in kernel-package.
>
>         Why do you say this is a regression? Does the previous version
>  work?  What was the last known working version of the kernel-package?
>
> > It is unknown whether this issue also affects other architectures or
> > not.
> >
> > The previous D-I kernel udebs were based on linux-image 2.6.26-8
> > (built for sparc on 9 Okt) did not have this issue, so at that time
> > things were still OK.
>
>         Which version of kernel-package was being used then?

Sorry, I cannot provide the requested info as I'll be off-line for a few 
day starting in 30 minutes. CC'ing d-boot and d-kernel.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Manoj Srivastava <srivasta@debian.org>:
Bug#506711; Package kernel-package. (Mon, 24 Nov 2008 12:15:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Manoj Srivastava <srivasta@debian.org>. (Mon, 24 Nov 2008 12:15:12 GMT) Full text and rfc822 format available.

Message #22 received at 506711@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: 506711@bugs.debian.org
Subject: Re: Bug#506711: kernel-package: [sparc] no longer produces compressed kernels for linux-2.6
Date: Mon, 24 Nov 2008 14:14:53 +0200
On Sun, Nov 23, 2008 at 05:49:14PM -0600, Manoj Srivastava wrote:
> On Sun, Nov 23 2008, Frans Pop wrote:

> > Daily builds of D-I for sparc have been failing with:
> > gzip: ./tmp/netboot/vmlinuz-2.6.26-1-sparc64: not in gzip format
> 
>         The only thing I can see is that sparc processing in k-p defines
>  NEED_DIRECT_GZIP_IMAGE.  Now, what kernel-package thinks is the
>  architecture is taken from either
>   a) user specified value,
>   b) dpkg-architecture  -qDEB_HOST_ARCH_CPU
> 
>         If the architecture contains the string sparc, then we arrange
>  to gzip the image. If this is not happening, we need to determine if it
>  tried to compress, but compressed the wong file, or it did not try to
>  compress it at all, or if the actual image is in some other place.
> 
>         If the build logs for the kernel image show which of these
>  scenarios it is, it can be easily fixed. So the build log of the kernel
>  image would be useful.

The latest log is at 

 http://buildd.debian.org/fetch.cgi?pkg=linux-2.6;ver=2.6.26-10;arch=sparc;stamp=1226181471

but beware; it contains binary data not well handled by (at least my)
iceweasel.

It's easy to see what goes wrong:

 gzip -9vc /build/buildd/linux-2.6-2.6.26/debian/build/build_sparc_vserver_sparc64/debian/linux-image-2.6.26-1-vserver-sparc64//boot/vmlinuz-2.6.26-1-vserver-sparc64
 /build/buildd/linux-2.6-2.6.26/debian/build/build_sparc_vserver_sparc64/debian/linux-image-2.6.26-1-vserver-sparc64//boot/vmlinuz-2.6.26-1-vserver-sparc64:     ^_&#824<
 [...]

The gzip invocation uses -c (--stdout) without a target.

This comes from kernel/ruleset/targets/image.mk in the kernel-package source,
and git-blame gives

commit e12e61540e1b904253dcec1b781e1e58e1e0728a
Author: Manoj Srivastava <srivasta@debian.org>
Date:   Thu Oct 9 20:43:11 2008 -0500

    Fix the build system to accommodate XEN changes, use kbuild as far as possible
    
so the bug was apparently introduced in 11.003.
-- 
Niko Tyni   ntyni@debian.org




Bug marked as found in version 11.003. Request was from Manoj Srivastava <srivasta@debian.org> to control@bugs.debian.org. (Mon, 24 Nov 2008 15:48:07 GMT) Full text and rfc822 format available.

Reply sent to Manoj Srivastava <srivasta@debian.org>:
You have taken responsibility. (Mon, 24 Nov 2008 17:27:15 GMT) Full text and rfc822 format available.

Notification sent to Frans Pop <elendil@planet.nl>:
Bug acknowledged by developer. (Mon, 24 Nov 2008 17:27:15 GMT) Full text and rfc822 format available.

Message #29 received at 506711-close@bugs.debian.org (full text, mbox):

From: Manoj Srivastava <srivasta@debian.org>
To: 506711-close@bugs.debian.org
Subject: Bug#506711: fixed in kernel-package 11.013
Date: Mon, 24 Nov 2008 17:17:03 +0000
Source: kernel-package
Source-Version: 11.013

We believe that the bug you reported is fixed in the latest version of
kernel-package, which is due to be installed in the Debian FTP archive:

kernel-package_11.013.dsc
  to pool/main/k/kernel-package/kernel-package_11.013.dsc
kernel-package_11.013.tar.gz
  to pool/main/k/kernel-package/kernel-package_11.013.tar.gz
kernel-package_11.013_all.deb
  to pool/main/k/kernel-package/kernel-package_11.013_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 506711@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Manoj Srivastava <srivasta@debian.org> (supplier of updated kernel-package package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 24 Nov 2008 09:33:54 -0600
Source: kernel-package
Binary: kernel-package
Architecture: source all
Version: 11.013
Distribution: unstable
Urgency: high
Maintainer: Manoj Srivastava <srivasta@debian.org>
Changed-By: Manoj Srivastava <srivasta@debian.org>
Description: 
 kernel-package - A utility for building Linux kernel related Debian packages.
Closes: 506711
Changes: 
 kernel-package (11.013) unstable; urgency=high
 .
   * [fd7dc12] Fix gzip invocation when compressing kernel image
 .
     When we factored out the copying of the kernel image source to the
     destination, we forgot to change
       gzip -9vc SRC > DEST
     to
      gzip -9fq DEST
     since the copying is now done earlier. This cause build failures on
     sparc. This fixes a grave bug, and the error was introduced in 11.003
 .
     Bug fix: "[sparc] no longer produces compressed kernels for
     linux-2.6", thanks to Frans Pop                    (Closes: #506711).
Checksums-Sha1: 
 7149767ea50386ef95aaafeeba2ae2cd64e92b8a 900 kernel-package_11.013.dsc
 f09eda9a182e8effe1113824dccb5c099f3df209 578521 kernel-package_11.013.tar.gz
 23583618f28f4c92e7f3894ceb3ab6a388c1b4e6 534694 kernel-package_11.013_all.deb
Checksums-Sha256: 
 8e7eee3b2afada74887099be9c2fc5ecae58116d6c30dc54e7d79a6ea14422b2 900 kernel-package_11.013.dsc
 184523938d4f234e2b1ca6f86e83869a45665e72c696387e3bc99083c9969d71 578521 kernel-package_11.013.tar.gz
 5122132f7ab5b263eaa929dc653ac2bc6479b2c26be3b5921aaec900169e0c59 534694 kernel-package_11.013_all.deb
Files: 
 6987f16ff57ed56c01f2a133a7929ed5 900 misc optional kernel-package_11.013.dsc
 8af9483bd16bffe8c717257f47244fe5 578521 misc optional kernel-package_11.013.tar.gz
 76daa82215430dacf99b8f80d45245a2 534694 misc optional kernel-package_11.013_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkkq3OkACgkQIbrau78kQkwbuACg3+tOsc6iGBVQCs3PVb38VkIo
t5AAoMUyrxCAP2yp89hlcistbN5mGAvu
=vBNz
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 28 Dec 2008 07:27:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 06:57:09 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.